import { __rest, __assign } from 'tslib';
import React, { forwardRef } from 'react';
import { useMatchMedia } from '@alfalab/core-components-mq/esm';
import { PatternLockDesktopV1 } from './desktop/Component.desktop.js';
import { PatternLockMobileV1 } from './mobile/Component.mobile.js';

/**
 * @deprecated
 * Использует PatternLock
 */
var PatternLockV1 = forwardRef(function (_a, ref) {
    var _b = _a.breakpoint, breakpoint = _b === void 0 ? 1024 : _b, restProps = __rest(_a, ["breakpoint"]);
    var query = "(min-width: ".concat(breakpoint, "px)");
    var isDesktop = useMatchMedia(query)[0];
    var Component = isDesktop ? PatternLockDesktopV1 : PatternLockMobileV1;
    return React.createElement(Component, __assign({ ref: ref }, restProps));
});

export { PatternLockV1 };
